Subject: [PWE3] Query on draft-ietf-pwe3-redundancy-bit-02

From: Ben Wright <[email-masked]>
Date: Tue, 12 Jan 2010 17:05:05 +0000

Hi all, 

I have a question about the flow described in draft-ietf-pwe3-redundancy-bit-02 s5.3.1 paragraph (e):
http://tools.ietf.org/html/draft-ietf-pwe3-redundancy-bit-02#page-16
	      "Send an update status notification message with the
             'preferential forwarding' status bit clear on the newly
             active PW and set in all other PWs in the redudancy set,
             and the 'request switchover' bit reset in all PWs in the
             redundancy set."

Does this mean 'a status notification is sent for each PW', or 'one notification is sent for all PWs in the redundancy set'?  

RFC 4447 looks to require one notification for each PW.  If this is the case, the text above should read "Send update status notification messages with ...".
http://tools.ietf.org/html/rfc4447#section-5.4.2

If a single notification is intended, we need a syntax description for a notification message that includes status for several PWs.

Thanks, 

Ben

---

From: "AISSAOUI Mustapha" <[email-masked]>
Date: Wed, 13 Jan 2010 17:43:50 -0600

Ben,
Thank you for the comment. This was already raised by Lizhong in a
previous email. See below. 

The intent was to send a status notification on each PW separately and
only if its local status changed as a result. I will correct the
corresponding paragraphs.

Regards,
Mustapha.

-------------------------
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, January 04, 2010 3:41 AM
To: MULEY Praveen; AISSAOUI Mustapha; BOCCI Matthew;
[email-masked]; LASSERRE MARC; [email-masked];
[email-masked]; [email-masked]; [email-masked];
[email-masked]
Cc: [email-masked]
Subject: [PWE3]comments for draft-ietf-pwe3-redundancy-bit-02

Hi authors: 
I have following comments about this draft: 
<...>
 
3. section 5.3.1, paragraph e. Why does the updated status notification
need to include all the PW status in the redundancy set. If one of the
PW status is not changed, it is not necessary to be updated. Same
comment for section 5.3.2, paragraph a. 
MA>  You are correct, only the PWs for which the operation resulted in a
change of the status bits will have to send an update. I will correct
the text in both paragraphs and also in 5.3.1.g.
 
Thank you. 

Best Regards 
Lizhong Jin   

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Ben Wright
> Sent: Tuesday, January 12, 2010 12:05 PM
> To: [email-masked]
> Subject: [PWE3] Query on draft-ietf-pwe3-redundancy-bit-02
> 
> Hi all, 
> 
> I have a question about the flow described in 
> draft-ietf-pwe3-redundancy-bit-02 s5.3.1 paragraph (e):
> Does this mean 'a status notification is sent for each PW', 
> or 'one notification is sent for all PWs in the redundancy set'?  
> 
> RFC 4447 looks to require one notification for each PW.  If 
> this is the case, the text above should read "Send update 
> status notification messages with ...".
> If a single notification is intended, we need a syntax 
> description for a notification message that includes status 
> for several PWs.
> 
> Thanks, 
> 
> Ben
> 
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pwe3
>